# WorkflowRuntimeStatus (dapr-sdk-workflows 0.10.0 API)

Package io.dapr.workflows.runtime

## Enum WorkflowRuntimeStatus

- java.lang.Object
- - java.lang.Enum<WorkflowRuntimeStatus>
  - - io.dapr.workflows.runtime.WorkflowRuntimeStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<WorkflowRuntimeStatus>`

    public enum WorkflowRuntimeStatus
    extends Enum<WorkflowRuntimeStatus>

Enum describing the runtime status of a workflow.

### Enum Constant Summary

Enum Constants
`CANCELED` The workflow was abruptly cancelled via a management API call.
`COMPLETED` The workflow completed normally.
`CONTINUED_AS_NEW` The workflow is continued as new.
`FAILED` The workflow completed with an unhandled exception.
`PENDING` The workflow was scheduled but hasn't started running.
`RUNNING` The workflow started running.
`SUSPENDED` The workflow was suspended.
`TERMINATED` The workflow was abruptly terminated via a management API call.

### Method Summary

All Methods Static Methods Concrete Methods
`static WorkflowRuntimeStatus` `fromOrchestrationRuntimeStatus​(com.microsoft.durabletask.OrchestrationRuntimeStatus status)` Convert runtime OrchestrationRuntimeStatus to WorkflowRuntimeStatus.
`static com.microsoft.durabletask.OrchestrationRuntimeStatus` `toOrchestrationRuntimeStatus​(WorkflowRuntimeStatus status)` Convert runtime WorkflowRuntimeStatus to OrchestrationRuntimeStatus.
`static List<com.microsoft.durabletask.OrchestrationRuntimeStatus>` `toOrchestrationRuntimeStatus​(List<WorkflowRuntimeStatus> statuses)` Convert runtime WorkflowRuntimeStatus to OrchestrationRuntimeStatus.
`static WorkflowRuntimeStatus` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static WorkflowRuntimeStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RUNNING

    public static final WorkflowRuntimeStatus RUNNING

The workflow started running.

#### COMPLETED

    public static final WorkflowRuntimeStatus COMPLETED

The workflow completed normally.

#### CONTINUED_AS_NEW

    public static final WorkflowRuntimeStatus CONTINUED_AS_NEW

The workflow is continued as new.

#### FAILED

    public static final WorkflowRuntimeStatus FAILED

The workflow completed with an unhandled exception.

#### CANCELED

    public static final WorkflowRuntimeStatus CANCELED

The workflow was abruptly cancelled via a management API call.

#### TERMINATED

    public static final WorkflowRuntimeStatus TERMINATED

The workflow was abruptly terminated via a management API call.

#### PENDING

    public static final WorkflowRuntimeStatus PENDING

The workflow was scheduled but hasn't started running.

#### SUSPENDED

    public static final WorkflowRuntimeStatus SUSPENDED

The workflow was suspended.

### Method Detail

#### values

    public static WorkflowRuntimeStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WorkflowRuntimeStatus c : WorkflowRuntimeStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WorkflowRuntimeStatus valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrchestrationRuntimeStatus

    public static WorkflowRuntimeStatus fromOrchestrationRuntimeStatus​(com.microsoft.durabletask.OrchestrationRuntimeStatus status)

Convert runtime OrchestrationRuntimeStatus to WorkflowRuntimeStatus.

Parameters:
  `status` - The OrchestrationRuntimeStatus to convert to WorkflowRuntimeStatus.
Returns:
  The runtime status of the workflow.

#### toOrchestrationRuntimeStatus

    public static com.microsoft.durabletask.OrchestrationRuntimeStatus toOrchestrationRuntimeStatus​(WorkflowRuntimeStatus status)

Convert runtime WorkflowRuntimeStatus to OrchestrationRuntimeStatus.

Parameters:
  `status` - The OrchestrationRuntimeStatus to convert to WorkflowRuntimeStatus.
Returns:
  The runtime status of the Orchestration.

#### toOrchestrationRuntimeStatus

    public static List<com.microsoft.durabletask.OrchestrationRuntimeStatus> toOrchestrationRuntimeStatus​(List<WorkflowRuntimeStatus> statuses)

Convert runtime WorkflowRuntimeStatus to OrchestrationRuntimeStatus.

Parameters:
  `statuses` - The list of orchestrationRuntimeStatus to convert to a list of WorkflowRuntimeStatuses.
Returns:
  The list runtime status of the Orchestration.